For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add Round

Add round to a delivery

post
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
Body
Responses
200

Add round successful

application/json
statusstring · enumOptionalPossible values:
post/deliveries/{uid}/add-round/
POST /api/v4/deliveries/{uid}/add-round/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 825

{
  "loads": [
    {
      "remote_id": "text",
      "description": "text",
      "reference": "text",
      "weight": 1,
      "volume": 1,
      "linear_meters": 1,
      "quantity": 1,
      "pallet_equivalence": 1,
      "category": "text",
      "handling_unit_uid": "123e4567-e89b-12d3-a456-426614174000",
      "good_uid": "123e4567-e89b-12d3-a456-426614174000",
      "create_handling_unit": {
        "name": "text",
        "dashdoc_load_category": "text",
        "remote_id": "text"
      },
      "create_good": {
        "name": "text",
        "additional_information": "text",
        "remote_id": "text"
      },
      "is_dangerous": false,
      "adr_un_code": "UN 1202",
      "legal_mentions": "Dangerous for the environment",
      "complementary_information": "text",
      "container_number": "text",
      "tare_weight": 1,
      "container_seal_number": "text",
      "refrigerated": true,
      "temperature": "text",
      "steres": 1,
      "idtf_number": "text",
      "use_identifiers": true,
      "identifiers": [
        "AX000123"
      ],
      "identifiers_observations": "Missing codes: 1234, 3456"
    }
  ]
}
200

Add round successful

{
  "status": "created"
}

Last updated

Was this helpful?